@echo off
rem //////////////////////////////////////////////////////////
rem Driver Install Batch (switch 32bit/64bit automatically )
rem //////////////////////////////////////////////////////////

rem Switch Directory by OS type (x86/AMD64)
if "%PROCESSOR_ARCHITECTURE%"=="x86" (
	echo "Install for 32bit Windows"
	cd .\x86\
	goto osver
)
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" (
	echo "Install for 64bit Windows (x64)"
	cd .\x64\
	goto osver
)
if "%PROCESSOR_ARCHITECTURE%"=="IA64" (
	echo "IA64 not support"
	pause
	goto end
)
if "%PROCESSOR_ARCHITECTURE%"=="" (
	echo "Unknown Processor Architecture, so use 32bit installer temporarilly."
	cd .\x86\
	goto osver
)

:osver
rem Check Windows OS version
for /F "usebackq delims=[ tokens=2" %%a in (`ver`) do @set vs=%%a
echo %vs% | find " 5." > nul
if not errorlevel 1 (
	goto Win_XP
)
echo %vs% | find " 6.0." > nul
if not errorlevel 1 (
	goto Win_Vista
)
echo %vs% | find " 6." > nul
if not errorlevel 1 (
	goto Win_7_8
)
goto Win_other

rem Switch Directory by OS version
:Win_XP
:Win_Vista
echo "Windows XP/Vista"
cd .\DPInst_WDK6001.18001\
goto exec

:Win_7_8
:Win_other
echo "Windows 7 or Later"
cd .\DPInst_WDK7600.16385.0\
goto exec

rem Exec Driver Installer (if silent mode, add /S)
:exec
.\DPInst.exe /PATH ../..

:end
